Bug 138768 - [patch] deskutils/kdeplasma-addons: Don't force kdeedu dependency
[patch] deskutils/kdeplasma-addons: Don't force kdeedu dependency
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: kde
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-12 19:10 UTC by mel
Modified: 2009-09-24 21:50 UTC (History)
1 user (show)

See Also:


Attachments
patch-deskutils__kdeplasma-addons-nomarble (2.05 KB, text/plain)
2009-09-12 19:10 UTC, mel
no flags Details
plasma.diff (4.13 KB, patch)
2009-09-15 12:37 UTC, mel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mel 2009-09-12 19:10:05 UTC
deskutils/kdeplasma-addons forces dependency on the rather large package kdeedu,
yet the CMakeLists.txt supports it as optional.

Patch below doesn't change the default behavior, but allows user to set WITHOUT_KDEEDU
so that Kdeedu isn't pulled in.

How-To-Repeat: make -C /usr/ports/deskutils/kdeplasma-addons install
Comment 1 Edwin Groothuis freebsd_committer 2009-09-12 19:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=138768 

Date: Sun, 13 Sep 2009 00:30:02 +0200
Comment 2 mel 2009-09-13 01:50:45 UTC
On Sunday 13 September 2009 00:30:02 Alberto Villa wrote:
> i suggest providing an OPTION for this...

I'll take a look, but I didn't on first glance see that the 
MacroOptionalDependency allows for a command line switch to disable it. Hence, 
if kdeedu is installed and one selects the WITHOUT option during make config, 
the net result will be that the marble addons will be built and installed, 
without the dependency being recorded by the FreeBSD ports system and a broken 
package list.
-- 
Mel
Comment 3 villa.alberto 2009-09-13 02:09:56 UTC
On Sunday 13 September 2009 02:50:45 Mel wrote:
> I'll take a look, but I didn't on first glance see that the
> MacroOptionalDependency allows for a command line switch to disable it.

if i remember correctly, you should be allowed to use something like this:
-DBUILD_$package:BOOL=Off
have a look at sysutils/kdeadmin4 and at cmake documentation
-- 
Alberto Villa <villa.alberto@gmail.com>

The government of the United States is not in any sense founded on the 
Christian Religion -- George Washington
Comment 4 mel 2009-09-15 12:37:53 UTC
Better patch, using OPTIONS.

Tested with kdeedu4 installed and running configure, shows correct output for 
both options.
-- 
Mel
Comment 5 Max Brazhnikov freebsd_committer 2009-09-22 21:52:08 UTC
State Changed
From-To: open->patched

Patched in area51, will be commited later
Comment 6 dfilter freebsd_committer 2009-09-24 21:40:43 UTC
makc        2009-09-24 20:40:34 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/kdeplasma-addons Makefile pkg-plist 
  Removed files:
    deskutils/kdeplasma-addons/files 
                                     patch-applets__frame__CMakeLists.txt 
  Log:
  Make Marble wallpaper plugin optional.
  Remove needless patch.
  
  PR:             based on ports/138768
  Submitted by:   Mel Flynn <mel at rachie.is-a-geek.net>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.15      +18 -4     ports/deskutils/kdeplasma-addons/Makefile
  1.3       +0 -24     ports/deskutils/kdeplasma-addons/files/patch-applets__frame__CMakeLists.txt (dead)
  1.4       +2 -2      ports/deskutils/kdeplasma-addons/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2009-09-24 21:47:18 UTC
State Changed
From-To: patched->closed

Committed. Thanks!